WAS Liberty Runtime

This basic runtime package includes all you need to get up and running with a WAS Liberty server. To keep the footprint small, only a subset of technologies is included. If you need Web Services, JMS, or MongoDB support, also download and install the Extended Programming Models package in addition to this install.

Installation

There are two ways to download and install the WAS Liberty runtime:

Installing from within Eclipse

  1. If you don’t already have Eclipse, install Eclipse Oxygen for Java EE Developers.
  2. Select the following Install button Drag to your running Eclipse workspace., drop it onto the Eclipse toolbar, and then follow the prompts. This installs the WebSphere Developer Tools into your Eclipse installation.
  3. In the Servers view of Eclipse, right-click to define a new WAS Liberty server. This opens a wizard to guide you through the process. The wizard includes the option to download and install the runtime as a part of defining a new server.

Installing from the command line

  1. Download WAS Liberty V17.0.0.2 Runtime by clicking Download.
  2. Run the following command: java -jar wlp-runtime-17.0.0.2.jar

Upgrading to a supported installation

Installing WAS Liberty from this jar file enables no-charge, unsupported, unlimited use of WAS Liberty in development environments and limited use in small-scale test and production environments. For access to IBM support and unlimited test and production use , you can purchase and upgrade to a supported edition for your existing installation. See Upgrading Liberty profile installations

Additional information